
   \begin{psmatrix}[rowsep=0.4,colsep=0.5]
     \psframebox{4-stelliger Startwert} \\
     \psframebox{Wert quadrieren} \\
     \psdiabox{8 Stellen?} &
        & \psframebox{links mit Nullen auffüllen}  
        \\
     \psframebox{mittlere 4 Ziffern auswählen} \\
     \psframebox{Zufallszahl $\hat =$ neuem Startwert} \\
      %Links
     \ncline{->}{1,1}{2,1}
     \ncline{->}{2,1}{3,1}
     \ncline{->}{3,1}{4,1}<{Ja}
     \ncline{->}{6,1}{7,1}
     \ncline{->}{3,1}{3,3}^{Nein}
     \ncangle[angleA=270]{->}{3,3}{4,1}
     \ncline{->}{4,1}{5,1}
     \ncbar[angleA=-180,angleB=0]{->}{5,1}{1,1}
     \end{psmatrix}%
